Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Configuration_ExtId Class Reference

External ID for the section and value hash. More...

`#include <Configuration.h>`

List of all members.

## Public Methods
| ACE_Configuration_ExtId (void)
| Defeault ctor.
ACE_EXPLICIT | ACE_Configuration_ExtId (const ACE_TCHAR *name)
| Named constructor.
| ACE_Configuration_ExtId (const ACE_Configuration_ExtId &rhs)
| Copy ctor.
| ~ACE_Configuration_ExtId (void)
| destructor
ACE_Configuration_ExtId & | operator= (const ACE_Configuration_ExtId &rhs)
| Assignment operator.
int | operator== (const ACE_Configuration_ExtId &rhs) const
| Equality comparison operator (must match name_).
int | operator!= (const ACE_Configuration_ExtId &rhs) const
| Inequality comparison operator.
void | free (ACE_Allocator *alloc)
u_long | hash (void) const
const ACE_TCHAR * | name (void)
## Public Attributes
const ACE_TCHAR * | name_

## Detailed Description

External ID for the section and value hash.

Contains a pointer to the section or value name.

## Constructor & Destructor Documentation

ACE_Configuration_ExtId::ACE_Configuration_ExtId | ( | void |  | ) |

| Defeault ctor.

ACE_Configuration_ExtId::ACE_Configuration_ExtId | ( | const ACE_TCHAR * | name | ) |

| Named constructor.

ACE_Configuration_ExtId::ACE_Configuration_ExtId | ( | const ACE_Configuration_ExtId & | rhs | ) |

| Copy ctor.

ACE_Configuration_ExtId::~ACE_Configuration_ExtId | ( | void |  | ) |

| destructor

## Member Function Documentation

void ACE_Configuration_ExtId::free | ( | ACE_Allocator * | alloc | ) |

| Frees the name of the value. needed since we don't know the allocator name_ was created in

u_long ACE_Configuration_ExtId::hash | ( | void |  | ) | const

| <hash> function is required in order for this class to be usable by ACE_Hash_Map_Manager.

const ACE_TCHAR * ACE_Configuration_ExtId::name | ( | void |  | ) |

int ACE_Configuration_ExtId::operator!= | ( | const ACE_Configuration_ExtId & | rhs | ) | const

| Inequality comparison operator.

ACE_Configuration_ExtId & ACE_Configuration_ExtId::operator= | ( | const ACE_Configuration_ExtId & | rhs | ) |

| Assignment operator.

int ACE_Configuration_ExtId::operator== | ( | const ACE_Configuration_ExtId & | rhs | ) | const

| Equality comparison operator (must match name_).

## Member Data Documentation

const ACE_TCHAR* ACE_Configuration_ExtId::name_

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Configuration.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Configuration.cpp